<?php
/**
 * @package CFP Main
 **/
if ( ! function_exists( 'cyoudfp_related_post_firstp' ) ) {
	function cyoudfp_related_post_firstp($content, $adc) {
	    $keyword  = "</p>";
	    $position = strpos($content, $keyword) + strlen($keyword);
	    if($position != 4) : return substr_replace($content, $adc, $position, 0); else: return $content; endif;
	}
}
if(get_option( 'cfp-topt' ) == 0)
{
	add_filter( 'the_content', 'cyoudfp_insert_fpost_related' );
}
else
{
	add_filter( 'the_content', 'cyoudfp_insert_fpost_ad' );
}
if ( ! function_exists( 'cyoudfp_register_settings' ) ) {
	function cyoudfp_register_settings() {
		add_option( 'cfp-topt', '0');
		register_setting( 'cfp_options_group', 'cfp-topt', 'cfp_callback' );
		add_option( 'crp-opt', '0');
		register_setting( 'cfp_options_group', 'crp-opt', 'cfp_callback' );
		add_option( 'crp-nop', '3');
		register_setting( 'cfp_options_group', 'crp-nop', 'cfp_callback' );
		add_option( 'yhtmlc', 'Enter your HTML / Ad code here.');
		register_setting( 'cfp_options_group', 'yhtmlc', 'cfp_callback' );
	}
	add_action( 'admin_init', 'cyoudfp_register_settings' );
}
if ( ! function_exists( 'cyoudfp_register_options_page' ) ) {
	function cyoudfp_register_options_page() {
	  add_options_page('Cyoud FP Options', 'Cyoud FP', 'manage_options', 'cfp', 'cyoudfp_options_page');
	}
	add_action('admin_menu', 'cyoudfp_register_options_page');
}

if ( ! function_exists( 'cyoudfp_options_page' ) ) {
	function cyoudfp_options_page() {
		?>
		<h1>Cyoud FP Options</h1>
			<form method="post" action="options.php" class="cfp-opt">
				<?php settings_fields( 'cfp_options_group' ); ?>
				<div class="tab">
				  <input type="radio" name="cfp-topt" id="cfp-related-topt" value="0" <?php checked( '0', get_option( 'cfp-topt' ) ); ?> />
				  <label for="cfp-related-topt">Related Post</label>
				  <input type="radio" name="cfp-topt" id="cfp-html-topt" value="1" <?php checked( '1', get_option( 'cfp-topt' ) ); ?> />
				  <label for="cfp-html-topt">HTML Code</label>
				</div>

				<!-- Tab content -->
				<div id="crelated" class="tabcontent">
				  <h3>Number of post</h3>
				  <input type="number" name="crp-nop" min="1" max="10" value="<?php echo get_option('crp-nop'); ?>">
				  <h3>Related post by</h3>
				  <div class="crpo-container">
					  <input type="radio" name="crp-opt" id="crpo-tag" value="0" <?php checked( '0', get_option( 'crp-opt' ) ); ?> />
					  <label for="crpo-tag">Tag</label>
				  </div>
				  <div class="crpo-container">
					  <input type="radio" name="crp-opt" id="crpo-cate" value="1" <?php checked( '1', get_option( 'crp-opt' ) ); ?> />
					  <label for="crpo-cate">Category</label>
				  </div>
				</div>

				<div id="chtml" class="tabcontent">
				  <textarea name="yhtmlc"><?php echo get_option('yhtmlc'); ?></textarea>
				</div>
				<?php  submit_button(); ?>
			</form>
		  </div>
	 	<?php
	}
}
if ( ! function_exists( 'cyoudfp_related_posts' ) ) {

	function cyoudfp_related_posts() {
		wp_reset_postdata();
		global $post;

		// Define shared post arguments
		$args = array(
			'no_found_rows'				=> true,
			'update_post_meta_cache'	=> false,
			'update_post_term_cache'	=> false,
			'ignore_sticky_posts'		=> 1,
			'orderby'					=> 'rand',
			'post__not_in'				=> array($post->ID),
			'posts_per_page'			=> get_option('crp-nop')
		);
		// Related by categories
		if ( get_option('crp-opt') == '1' ) {
			
			$cats = get_post_meta($post->ID, 'related-cat', true);
			
			if ( !$cats ) {
				$cats = wp_get_post_categories($post->ID, array('fields'=>'ids'));
				$args['category__in'] = $cats;
			} else {
				$args['cat'] = $cats;
			}
		}
		// Related by tags
		if ( get_option('crp-opt') == '0' ) {
		
			$tags = get_post_meta($post->ID, 'related-tag', true);
			
			if ( !$tags ) {
				$tags = wp_get_post_tags($post->ID, array('fields'=>'ids'));
				$args['tag__in'] = $tags;
			} else {
				$args['tag_slug__in'] = explode(',', $tags);
			}
			if ( !$tags ) { $break = true; }
		}
		
		$query = !isset($break)?new WP_Query($args):new WP_Query;
		return $query;
	}
	
}
if ( ! function_exists( 'cyoudfp_insert_fpost_related' ) ) {
	function cyoudfp_insert_fpost_related( $content ) {
		$related = cyoudfp_related_posts();
		if ( $related->have_posts() ):
			?>
				<?php $frelated .= '<div class="related_fp_container"><ul>'; ?>
				<?php while ( $related->have_posts() ) : $related->the_post(); ?>
					<?php $frelated .= '<li><a href="'.get_the_permalink().'" title="'.get_the_title().'">'.get_the_title().'</a></li>'?>
				<?php endwhile; ?>
				<?php $frelated .= '</ul></div>';?>
			<?php
			wp_reset_postdata();
			wp_reset_query();
			return cyoudfp_related_post_firstp( $content , $frelated);
		endif;
	}
}
if ( ! function_exists( 'cyoudfp_insert_fpost_ad' ) ) {
	function cyoudfp_insert_fpost_ad ( $content ) {
		return cyoudfp_related_post_firstp( $content , get_option('yhtmlc'));
	}
}