<?php
/*
	Plugin Name: Cyoud First Paragraph
	Version: 1.0
	Plugin URI: https://wp.cyoud.com/cfp
	Author: Cyoud
	Description: Add more content like inline related post, Google Adsense and HTML with responsive support both sides of first paragraph. 
	Author URI: https://cyoud.com
	Text Domain: cyoud-cfp
*/

// Prevent public user to directly access
if (!defined('ABSPATH')) {
    header('HTTP/1.0 403 Forbidden');
    exit;
}
// Define Cyoud FP file.
if ( ! defined( 'CFP_FILE' ) ) { define( 'CFP_FILE', __FILE__ ); }

// Load CSS / JS
function cfp_css_js_res() {
        wp_enqueue_style( 'cfp-style', plugins_url('/style.css', __FILE__), true, '1.0.0', 'all');
        wp_enqueue_script( 'dapp-js', plugins_url('/main.js', __FILE__), array('jquery'), '1.0.0', false);
}
add_action('wp_enqueue_scripts', 'cfp_css_js_res');
add_action('admin_enqueue_scripts', "cfp_css_js_res");

// Load the Cyoud FP plugin.
require_once dirname( CFP_FILE ) . '/cfp-main.php';